%define version	2.1.0
%define release	1
#define pre	pre1

%define subrel	0

Name:		luminance-hdr
Version:	%{version}
Release:	%mkrel %{?pre:0.%{pre}.}%{release}
Summary:	A graphical tool for creating and tone-mapping HDR images
Group:		Graphics
License:	GPLv2+
URL:		http://qtpfsgui.sourceforge.net/
Source0:	http://downloads.sourceforge.net/qtpfsgui/%{name}-%{version}%{?pre:-%pre}.tar.gz
Patch0:		luminance-hdr-2.0.2-linkage.patch
Patch1:		luminance-hdr-2.1.0-desktop_file_fix.patch

BuildRequires:	libqt4-devel
BuildRequires:	OpenEXR-devel
BuildRequires:	libexiv-devel
BuildRequires:	fftw-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	gsl-devel
BuildRequires:	libraw-devel >= 0.11.2
BuildRequires:	lcms-devel
BuildRequires:	libgomp-devel
Obsoletes:	qtpfsgui
Provides:	qtpfsgui

%description
Luminance is a graphical program for assembling bracketed photos into High
Dynamic Range (HDR) images.  It also provides a number of tone-mapping
operators for creating low dynamic range versions of HDR images.

%prep
%setup -q -n %{name}-%{version}%{?pre:-%pre}
#setup -q -n LuminanceHDR-%{version}
%patch0 -p0 -b .linkage
%patch1 -p0 -b .desktop-fix

# fix inconsistant newlines
%{__sed} -i 's/\r//' Changelog

%build
%qmake_qt4 PREFIX=%{_prefix}
%make

%install
rm -rf %{buildroot}
%makeinstall_std INSTALL_ROOT=%{buildroot}

#icons
install -Dpm644 images/luminance.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

#for i in 16 24 48 64; do
#	mkdir -p %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps
#	convert -scale $i images/%{name}.png %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps/%{name}.png
#done

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS Changelog LICENSE README TODO
%doc %{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*




%changelog

* Sun Aug 21 2011 wally <wally> 2.1.0-1.0.mga1
+ Revision: 134779
- add subrel for pushing to mga1
- new version 2.1.0
- rediff desktop file patch

* Tue Jul 05 2011 wally <wally> 2.0.2-2.mga2
+ Revision: 118730
- imported package luminance-hdr


* Sat May 07 2011 Jani Välimaa <wally@mandriva.org> 2.0.2-2mdv2011.0
+ Revision: 672287
- rebuild against new libraw

* Sat Apr 30 2011 Jani Välimaa <wally@mandriva.org> 2.0.2-1
+ Revision: 661047
- new version 2.0.2
- rediff patches
- drop buildroot definition

* Thu Feb 24 2011 Jani Välimaa <wally@mandriva.org> 2.0.2-0.pre1.3
+ Revision: 639617
- tighten libraw-devel BR

* Thu Feb 24 2011 Jani Välimaa <wally@mandriva.org> 2.0.2-0.pre1.2
+ Revision: 639580
- rename .spec file
- obsolete and provide qtpfsgui

* Thu Feb 24 2011 Jani Välimaa <wally@mandriva.org> 2.0.2-0.pre1.1
+ Revision: 639557
- import luminance-hdr

